For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList agent threads
        • POSTCreate an agent thread
        • GETRetrieve an agent thread
LogoLogo
Contact SalesGet Support
Middesk APIAgentsThreads

List agent threads

GET
https://api.middesk.com/v1/threads
GET
/v1/threads
$curl https://api.middesk.com/v1/threads \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "object": "list",
3 "has_more": true,
4 "data": [
5 {
6 "object": "thread",
7 "id": "id",
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z",
10 "status": "running",
11 "metadata": {
12 "key": "value"
13 },
14 "requester": {
15 "key": "value"
16 },
17 "steps": [
18 {
19 "id": "id",
20 "run_id": "run_id",
21 "type": "activity",
22 "name": "name",
23 "label": "label",
24 "status": "running",
25 "started_at": "2024-01-15T09:30:00Z"
26 }
27 ]
28 }
29 ],
30 "total_count": 1
31}
Returns a paginated list of agent threads
Was this page helpful?
Previous

Create an agent thread

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional
Page number
per_pageintegerOptional
Items per page
business_idstringOptional
Optional business ID filter

Response

agent threads list
objectstring
has_moreboolean
datalist of objects
total_countinteger